/**
 * @file	cf_codec.h
 * @author	myusgun <myusgun@gmail.com>
 *
 * @remark 데이터 변환
 *
 * @example codec.c
 */
#include "cf_base.h"

#include <stddef.h>

#ifndef __CF_CODEC_H__
#define __CF_CODEC_H__

#ifdef __cplusplus
extern "C" {
#endif

CF_EXPORT int
CF_Codec_Hex_Encode		(const unsigned char	* bin,
						 const size_t			len,
						 char					* hex);

CF_EXPORT int
CF_Codec_Hex_Decode		(const char		* hex,
						 unsigned char	* bin,
						 size_t			* len);

#ifdef __cplusplus
}
#endif

#endif // #ifndef __CF_CODEC_H__
